"""Add domain check ds_info.

Revision ID: 8ca04566bf74
Revises: e7268657f0f8
Create Date: 2024-10-17 14:33:48.745737+00:00

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "8ca04566bf74"
down_revision: str | None = "e7268657f0f8"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    op.add_column("dnscheck_domain_check", sa.Column("ds_info", sa.JSON(), nullable=True))


def downgrade() -> None:
    op.drop_column("dnscheck_domain_check", "ds_info")
