"""Add nsset check started_at index.

Revision ID: 1228f52303c9
Revises: 8ca04566bf74
Create Date: 2024-10-24 15:14:56.772958+00:00

"""

from collections.abc import Sequence

from alembic import op

# revision identifiers, used by Alembic.
revision: str = "1228f52303c9"
down_revision: str | None = "8ca04566bf74"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    op.create_index(op.f("ix_dnscheck_nsset_check_started_at"), "dnscheck_nsset_check", ["started_at"], unique=False)


def downgrade() -> None:
    op.drop_index(op.f("ix_dnscheck_nsset_check_started_at"), table_name="dnscheck_nsset_check")
