"""Add DomainCheck.domain_id

Revision ID: 3ca09fed2a2d
Revises: 5f4c8eaa7013
Create Date: 2024-11-20 14:30:03.811533+00:00

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "3ca09fed2a2d"
down_revision: str | None = "5f4c8eaa7013"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    op.add_column("dnscheck_domain_check", sa.Column("domain_id", sa.String(), nullable=True))


def downgrade() -> None:
    op.drop_column("dnscheck_domain_check", "domain_id")
